## praat 6.4.27+dfsg

=== Makefile ===
# File: Makefile

# Makefile for Praat
# Paul Boersma & David Weenink, 12 December 2023

# System-dependent definitions of CC, LIBS, ICON and MAIN_ICON should be in
# makefile.defs, which has to be copied and renamed
# from a suitable makefile.defs.XXX file in the makefiles directory,
# Perhaps that file requires some editing.
include makefile.defs

.PHONY: all clean install

# Makes the Praat executable in the source directory.
all: all-external all-self
	$(LINK) -o $(EXECUTABLE) main/main_Praat.o $(MAIN_ICON) fon/libfon.a \
		artsynth/libartsynth.a FFNet/libFFNet.a \
		gram/libgram.a EEG/libEEG.a \
		LPC/libLPC.a dwtools/libdwtools.a sensors/libsensors.a \
		foned/libfoned.a fon/libfon.a stat/libstat.a \
		dwsys/libdwsys.a sys/libsys.a melder/libmelder.a kar/libkar.a \
		external/espeak/libespeak.a \
		external/portaudio/libportaudio.a \
		external/flac/libflac.a external/lame/liblame.a external/mp3/libmp3.a \
		external/glpk/libglpk.a \
		external/clapack/libclapack.a \
		external/gsl/libgsl.a \
		external/vorbis/libvorbis.a \
		external/opusfile/libopusfile.a \
		$(LIBS)

all-external:
	$(MAKE) -C external/clapack
	$(MAKE) -C external/gsl
	$(MAKE) -C external/glpk
	$(MAKE) -C external/lame
	$(MAKE) -C external/mp3
	$(MAKE) -C external/flac
	$(MAKE) -C external/portaudio
	$(MAKE) -C external/espeak
	$(MAKE) -C external/vorbis
	$(MAKE) -C external/opusfile

all-self:
	$(MAKE) -C kar
	$(MAKE) -C melder
	$(MAKE) -C sys
	$(MAKE) -C dwsys
	$(MAKE) -C stat
	$(MAKE) -C fon
	$(MAKE) -C foned
	$(MAKE) -C dwtools
	$(MAKE) -C LPC
	$(MAKE) -C EEG
	$(MAKE) -C sensors
	$(MAKE) -C gram
	$(MAKE) -C FFNet
	$(MAKE) -C artsynth
	$(MAKE) -C main main_Praat.o $(ICON)

clean: clean-external clean-self
	$(RM) praat

clean-external:
	$(MAKE) -C external/clapack clean
	$(MAKE) -C external/gsl clean
	$(MAKE) -C external/glpk clean
	$(MAKE) -C external/lame clean
	$(MAKE) -C external/mp3 clean
	$(MAKE) -C external/flac clean
	$(MAKE) -C external/portaudio clean
	$(MAKE) -C external/espeak clean
	$(MAKE) -C external/vorbis clean
	$(MAKE) -C external/opusfile clean

clean-self:
	$(MAKE) -C kar clean
	$(MAKE) -C melder clean
	$(MAKE) -C sys clean
	$(MAKE) -C dwsys clean
	$(MAKE) -C stat clean
	$(MAKE) -C fon clean
	$(MAKE) -C foned clean
	$(MAKE) -C dwtools clean
	$(MAKE) -C LPC clean
	$(MAKE) -C EEG clean
	$(MAKE) -C sensors clean
	$(MAKE) -C gram clean
	$(MAKE) -C FFNet clean
	$(MAKE) -C artsynth clean
	$(MAKE) -C main clean

install:
	$(INSTALL)

=== LPC/Makefile ===
# Makefile of the library "LPC"
# David Weenink and Paul Boersma, 18 July 2024

include ../makefile.defs

CPPFLAGS = -I . -I ../kar -I ../melder -I ../fon -I ../foned -I ../dwtools -I ../sys -I ../dwsys -I ../stat

OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
	Cepstrogram.o \
	Formant_extensions.o \
	FormantModeler.o FormantModelerList.o \
	FormantPath.o FormantPath_to_IntervalTier.o FormantPathArea.o FormantPathEditor.o \
	LineSpectralFrequencies.o \
	SoundToLPCWorkspace.o \
	LPCToSampledWorkspace.o LPCToFormantWorkspace.o \
	LPC.o LPC_and_Cepstrumc.o LPC_and_Formant.o LPC_and_LFCC.o \
	LPC_and_LineSpectralFrequencies.o LPC_and_Polynomial.o \
	LPC_to_Spectrum.o LPC_to_Spectrogram.o \
	LPC_and_Tube.o PowerCepstrum.o PowerCepstrogram.o \
	Sound_and_LPC.o Sound_and_LPC_robust.o \
	Sound_to_Formant_mt.o Roots_and_Formant.o SoundToFormantWorkspace.o \
	Sound_and_Cepstrum.o Tube.o \
	VocalTractTier.o \
	praat_LPC_init.o manual_LPC.o

.PHONY: all clean

all: libLPC.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libLPC.a

libLPC.a: $(OBJECTS)
	touch libLPC.a
	rm libLPC.a
	$(AR) cq libLPC.a $(OBJECTS)
	$(RANLIB) libLPC.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../dwtools/*.h ../fon/*.h ../foned/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h

=== dwsys/Makefile ===
# makefile for library "dwsys".
# David Weenink 20240607
# Paul Boersma 20180810,20240830

include ../makefile.defs

CPPFLAGS = -I ../melder -I ../stat -I ../sys -I ../fon -I ../external/gsl -I ../external/clapack -I ../kar -I ../dwtools

all: libdwsys.a

OBJECTS = ChebyshevSeries.o Collection_extensions.o Command.o \
	DoublyLinkedList.o Eigen.o \
	FileInMemory.o \
	FunctionSeries.o \
	Graphics_extensions.o Index.o \
	LegendreSeries.o \
	MAT_numerics.o \
	NMF.o NUM2.o NUMhuber.o NUMmachar.o \
	NUMcomplex.o NUMfft_d.o NUMsorting.o \
	NUMmathlib.o NUMstring.o \
	Permutation.o Permutation_and_Index.o \
	Polynomial.o \
	Roots.o \
	Spline.o SVD.o WorkvectorPool.o

.PHONY: all clean

all: libdwsys.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwsys.a

libdwsys.a: $(OBJECTS) NUMmachar.o
	touch libdwsys.a
	rm libdwsys.a
	$(AR) cq libdwsys.a $(OBJECTS)
	$(RANLIB) libdwsys.a

$(OBJECTS): *.h ../melder/*.h ../stat/*.h ../sys/*.h ../fon/*.h ../external/gsl/*.h ../dwsys/*.h ../kar/*.h

=== dwtools/Makefile ===
# Makefile of the library "dwtools"
# David Weenink and Paul Boersma
# 5 September 2024

include ../makefile.defs

CPPFLAGS = -I . -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../fon -I ../LPC -I ../foned -I ../EEG \
	-I ../external/clapack -I ../external/vorbis -I ../external/opusfile -I ../external/portaudio -I ../external/espeak

OBJECTS = ActivationList.o AffineTransform.o AnalyticSound.o \
	Categories.o CategoriesEditor.o \
	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
	Correlation.o Covariance.o CC.o CCs_to_DTW.o \
	ClassificationTable.o Confusion.o \
	ComplexSpectrogram.o Configuration.o ContingencyTable.o \
	Configuration_AffineTransform.o \
	Configuration_and_Procrustes.o ConstantQSpectrograms.o \
	DataModeler.o Distance.o \
	DTW.o DTW_and_TextGrid.o \
	Discriminant.o  Discriminant_PatternList_Categories.o \
	EditDistanceTable.o EEG_extensions.o \
	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
	Eigen_and_TableOfReal.o\
	Eigen_and_SSCP.o Excitations.o \
	FilterBank.o FormantGrid_extensions.o \
	GaussianMixture.o  \
	HMM.o \
	ICA.o Intensity_extensions.o \
	LFCC.o LongSound_extensions.o \
	KlattGrid.o KlattGridAreas.o KlattGridEditors.o KlattTable.o \
	Ltas_extensions.o \
	MDSVec.o MFCC.o \
	manual_DataModeler.o manual_dwtools.o manual_BSS.o manual_HMM.o \
	manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
	Minimizers.o MixingMatrix.o \
	Matrix_and_NMF.o Matrix_extensions.o \
	Matrix_Categories.o MDS.o MultiSampledSpectrogram.o \
	NavigationContext.o \
	OptimalCeilingTier.o OptimalCeilingTierArea.o OptimalCeilingTierEditor.o \
	PatternList.o PCA.o \
	Pitch_extensions.o Polynomial_to_Spectrum.o \
	Polygon_extensions.o Procrustes.o \
	Proximity.o Proximity_and_Distance.o \
	Resonator.o Roots_to_Spectrum.o \
	SampledToSampledWorkspace.o SoundToSampledWorkspace.o \
	Sound_and_MultiSampledSpectrogram.o Sound_and_MixingMatrix.o \
	Sound_and_Spectrum_dft.o \
	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o \
	Sound_and_TextGrid_extensions.o Sound_extensions.o \
	Sound_to_MFCC.o Sounds_to_DTW.o \
	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
	Spectrogram_extensions.o Spectrum_extensions.o \
	Spectrum_and_AnalyticSound.o Spectrum_and_MultiSampledSpectrogram.o \
	SSCP.o Strings_extensions.o \
	SpeechSynthesizer.o SpeechSynthesizer_and_TextGrid.o \
	Table_extensions.o Table_dataSets.o TableOfReal_and_SVD.o \
	TableOfReal_extensions.o \
	TableOfReal_and_Discriminant.o TableOfReal_and_Permutation.o \
	TextGrid_and_DurationTier.o TextGrid_and_PitchTier.o TextGrid_extensions.o \
	TextGridTierNavigator.o TextGridNavigator.o Vector_extensions.o VowelEditor.o \
	praat_MDS_init.o praat_BSS_init.o praat_HMM_init.o \
	praat_KlattGrid_init.o praat_MultiSampledSpectrogram.o praat_DataModeler_init.o praat_David_init.o

.PHONY: all clean

all: libdwtools.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwtools.a

libdwtools.a: $(OBJECTS)
	touch libdwtools.a
	rm libdwtools.a
	$(AR) cq libdwtools.a $(OBJECTS)
	$(RANLIB) libdwtools.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../fon/*.h ../foned/*.h ../LPC/*.h ../EEG/*.h \
	../external/clapack/*.h ../external/vorbis/*.h ../external/opusfile/*.h ../external/portaudio/*.h ../external/espeak/*.h

=== fon/Makefile ===
# Makefile of the library "fon"
# Paul Boersma, 18 September 2023

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../foned -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3 -I ../external/espeak

OBJECTS = Transition.o Distributions_and_Transition.o \
   Function.o Sampled.o SampledXY.o Matrix.o Vector.o Polygon.o PointProcess.o \
   Matrix_and_PointProcess.o Matrix_and_Polygon.o AnyTier.o RealTier.o \
   Sound.o LongSound.o SoundSet.o Sound_files.o Sound_audio.o PointProcess_and_Sound.o Sound_PointProcess.o ParamCurve.o \
   Pitch.o Harmonicity.o Intensity.o Matrix_and_Pitch.o Sound_to_Pitch.o \
   Sound_to_Intensity.o Sound_to_Harmonicity.o Sound_to_Harmonicity_GNE.o Sound_to_PointProcess.o \
   Pitch_to_PointProcess.o Pitch_to_Sound.o Pitch_Intensity.o \
   PitchTier.o Pitch_to_PitchTier.o PitchTier_to_PointProcess.o PitchTier_to_Sound.o Manipulation.o \
   Pitch_AnyTier_to_PitchTier.o IntensityTier.o DurationTier.o AmplitudeTier.o \
   Spectrum.o Ltas.o Spectrogram.o SpectrumTier.o Ltas_to_SpectrumTier.o \
   Formant.o Image.o Sound_to_Formant.o Sound_and_Spectrogram.o \
   Sound_and_Spectrum.o Spectrum_and_Spectrogram.o Spectrum_to_Formant.o \
   FormantTier.o TextGrid.o TextGrid_Sound.o Label.o FormantGrid.o \
   Excitation.o Cochleagram.o Cochleagram_and_Excitation.o Excitation_to_Formant.o \
   Sound_to_Cochleagram.o Spectrum_to_Excitation.o \
   VocalTract.o VocalTract_to_Spectrum.o \
   Sound_enhance.o VoiceAnalysis.o \
   WordList.o SpellingChecker.o \
   FujisakiPitch.o \
   ExperimentMFC.o manual_ExperimentMFC.o praat_ExperimentMFC.o \
   Photo.o Movie.o \
   Corpus.o \
   manual_Picture.o manual_Manual.o \
   manual_commands.o manual_formulas.o manual_functions.o manual_scripting.o manual_demoWindow.o \
   manual_whatsnew.o manual_soundFiles.o manual_licenses.o manual_tutorials.o manual_references.o \
   manual_programming.o manual_Fon.o manual_voice.o Praat_tests.o \
   manual_glossary.o manual_Sampling.o manual_exampleSound.o \
   manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o \
   manual_pointProcess.o manual_annotation.o \
   praat_TimeFunction.o praat_TimeTier.o praat_TimeFrameSampled.o \
   praat_Sound.o praat_Matrix.o praat_Tiers.o praat_TextGrid_init.o praat_uvafon_init.o

.PHONY: all clean

all: libfon.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libfon.a

libfon.a: $(OBJECTS)
	touch libfon.a
	rm libfon.a
	$(AR) cq libfon.a $(OBJECTS)
	$(RANLIB) libfon.a

$(OBJECTS): *.h ../external/portaudio/*.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../LPC/*.h ../foned/*.h ../external/flac/*.h ../external/mp3/mp3.h

=== main/Makefile ===
# Makefile of the 'main' routines.
# Paul Boersma, 24 September 2024

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../fon

.PHONY: clean

main_Praat.o: ../sys/praat.h ./main_Praat.h ../sys/Graphics.h

clean:
	$(RM) main_*.o
	$(RM) praat_win.o

# The following is only for Windows.

praat_win.o: praat_win.rc
	$(WINDRES) -o praat_win.o praat_win.rc

=== melder/Makefile ===
# Makefile of the library "melder"
# Paul Boersma, 15 December 2024

include ../makefile.defs

CPPFLAGS = -I ../melder -I ../sys

OBJECTS = melder.o complex.o melder_alloc.o melder_str32.o melder_colour.o \
	melder_ftoa.o melder_console.o melder_atof.o melder_files.o \
	melder_sort.o MelderString.o melder_textencoding.o melder_debug.o MelderFile.o MelderCat.o \
	melder_search.o \
	melder_info.o melder_error.o melder_warning.o melder_progress.o \
	melder_play.o melder_help.o melder_time.o \
	melder_audio.o melder_audiofiles.o melder_quantity.o MelderReadText.o melder_tensorio.o \
	abcio.o melder_sysenv.o melder_app.o melder_trust.o regularExp.o \
	NUMmath.o \
	NUMspecfunc.o NUMear.o NUMinterpol.o NUMmetrics.o NUMrandom.o NUMfilter.o NUMlinprog.o \
	NUM.o STR.o VEC.o MAT.o STRVEC.o

.PHONY: all clean

all: libmelder.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libmelder.a

libmelder.a: $(OBJECTS)
	touch libmelder.a
	rm libmelder.a
	$(AR) cq libmelder.a $(OBJECTS)
	$(RANLIB) libmelder.a

$(OBJECTS): *.h ../kar/*.h ../sys/*.h ../dwsys/*.h

=== sys/Makefile ===
# Makefile of the library "sys"
# Paul Boersma, 5 December 2024

include ../makefile.defs

# -I ../sys is there because e.g. Graphics.cpp include fon/Function.h, which again includes something from sys
CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys

OBJECTS = Thing.o Data.o Simple.o Collection.o Strings.o \
   Graphics.o Graphics_linesAndAreas.o Graphics_text.o Graphics_colour.o \
   Graphics_image.o Graphics_record.o \
   Graphics_utils.o Graphics_grey.o Graphics_altitude.o \
   GraphicsPostscript.o Graphics_surface.o \
   ManPage.o ManPages.o ManPages_toHtml.o Script.o Notebook.o machine.o \
   GraphicsScreen.o Printer.o \
   Preferences.o site.o \
   Picture.o Ui.o UiFile.o UiPause.o DataGui.o Editor.o DataEditor.o HyperPage.o Manual.o TextEditor.o \
   praat.o praat_actions.o praat_menuCommands.o praat_picture.o \
   praat_script.o praat_statistics.o praat_logo.o praat_library.o \
   praat_objectMenus.o InfoEditor.o ScriptEditor.o NotebookEditor.o ButtonEditor.o \
   Interpreter.o Formula.o \
   StringsEditor.o DemoEditor.o \
   motifEmulator.o GuiText.o GuiWindow.o Gui.o GuiObject.o GuiDrawingArea.o \
   GuiMenu.o GuiMenuItem.o GuiButton.o GuiLabel.o GuiCheckButton.o GuiRadioButton.o \
   GuiDialog.o GuiList.o GuiTrust.o GuiFileSelect.o GuiScale.o GuiScrollBar.o GuiScrolledWindow.o \
   GuiControl.o GuiForm.o GuiOptionMenu.o GuiProgressBar.o GuiShell.o GuiThing.o Gui_messages.o

.PHONY: all clean

all: libsys.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libsys.a

libsys.a: $(OBJECTS)
	touch libsys.a
	rm libsys.a
	$(AR) cq libsys.a $(OBJECTS)
	$(RANLIB) libsys.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../dwsys/*.h

=== external/gsl/Makefile ===
# Makefile for library gsl. This file was generated by the program flatten_gsl.py
# David Weenink, 22 February 2010
# Paul Boersma 2017-08-08: brought dependencies in line with include directories
# Paul Boersma 2017-10-02: removed dependencies on sys/*.h and dwsys/*.h

include ../../makefile.defs

CPPFLAGS =

OBJECTS = gsl_blas__blas.o gsl_block__block.o gsl_block__file.o \
   gsl_block__init.o gsl_bspline__bspline.o gsl_cblas__caxpy.o \
   gsl_cblas__ccopy.o gsl_cblas__cdotc_sub.o gsl_cblas__cdotu_sub.o \
   gsl_cblas__cgbmv.o gsl_cblas__cgemm.o gsl_cblas__cgemv.o \
   gsl_cblas__cgerc.o gsl_cblas__cgeru.o gsl_cblas__chbmv.o \
   gsl_cblas__chemm.o gsl_cblas__chemv.o gsl_cblas__cher.o \
   gsl_cblas__cher2.o gsl_cblas__cher2k.o gsl_cblas__cherk.o \
   gsl_cblas__chpmv.o gsl_cblas__chpr.o gsl_cblas__chpr2.o \
   gsl_cblas__cscal.o gsl_cblas__csscal.o gsl_cblas__cswap.o \
   gsl_cblas__csymm.o gsl_cblas__csyr2k.o gsl_cblas__csyrk.o \
   gsl_cblas__ctbmv.o gsl_cblas__ctbsv.o gsl_cblas__ctpmv.o \
   gsl_cblas__ctpsv.o gsl_cblas__ctrmm.o gsl_cblas__ctrmv.o \
   gsl_cblas__ctrsm.o gsl_cblas__ctrsv.o gsl_cblas__dasum.o \
   gsl_cblas__daxpy.o gsl_cblas__dcopy.o gsl_cblas__ddot.o \
   gsl_cblas__dgbmv.o gsl_cblas__dgemm.o gsl_cblas__dgemv.o \
   gsl_cblas__dger.o gsl_cblas__dnrm2.o gsl_cblas__drot.o \
   gsl_cblas__drotg.o gsl_cblas__drotm.o gsl_cblas__drotmg.o \
   gsl_cblas__dsbmv.o gsl_cblas__dscal.o gsl_cblas__dsdot.o \
   gsl_cblas__dspmv.o gsl_cblas__dspr.o gsl_cblas__dspr2.o \
   gsl_cblas__dswap.o gsl_cblas__dsymm.o gsl_cblas__dsymv.o \
   gsl_cblas__dsyr.o gsl_cblas__dsyr2.o gsl_cblas__dsyr2k.o \
   gsl_cblas__dsyrk.o gsl_cblas__dtbmv.o gsl_cblas__dtbsv.o \
   gsl_cblas__dtpmv.o gsl_cblas__dtpsv.o gsl_cblas__dtrmm.o \
   gsl_cblas__dtrmv.o gsl_cblas__dtrsm.o gsl_cblas__dtrsv.o \
   gsl_cblas__dzasum.o gsl_cblas__dznrm2.o gsl_cblas__icamax.o \
   gsl_cblas__idamax.o gsl_cblas__isamax.o gsl_cblas__izamax.o \
   gsl_cblas__sasum.o gsl_cblas__saxpy.o gsl_cblas__scasum.o \
   gsl_cblas__scnrm2.o gsl_cblas__scopy.o gsl_cblas__sdot.o \
   gsl_cblas__sdsdot.o gsl_cblas__sgbmv.o gsl_cblas__sgemm.o \
   gsl_cblas__sgemv.o gsl_cblas__sger.o gsl_cblas__snrm2.o \
   gsl_cblas__srot.o gsl_cblas__srotg.o gsl_cblas__srotm.o \
   gsl_cblas__srotmg.o gsl_cblas__ssbmv.o gsl_cblas__sscal.o \
   gsl_cblas__sspmv.o gsl_cblas__sspr.o gsl_cblas__sspr2.o \
   gsl_cblas__sswap.o gsl_cblas__ssymm.o gsl_cblas__ssymv.o \
   gsl_cblas__ssyr.o gsl_cblas__ssyr2.o gsl_cblas__ssyr2k.o \
   gsl_cblas__ssyrk.o gsl_cblas__stbmv.o gsl_cblas__stbsv.o \
   gsl_cblas__stpmv.o gsl_cblas__stpsv.o gsl_cblas__strmm.o \
   gsl_cblas__strmv.o gsl_cblas__strsm.o gsl_cblas__strsv.o \
   gsl_cblas__xerbla.o gsl_cblas__zaxpy.o gsl_cblas__zcopy.o \
   gsl_cblas__zdotc_sub.o gsl_cblas__zdotu_sub.o gsl_cblas__zdscal.o \
   gsl_cblas__zgbmv.o gsl_cblas__zgemm.o gsl_cblas__zgemv.o \
   gsl_cblas__zgerc.o gsl_cblas__zgeru.o gsl_cblas__zhbmv.o \
   gsl_cblas__zhemm.o gsl_cblas__zhemv.o gsl_cblas__zher.o \
   gsl_cblas__zher2.o gsl_cblas__zher2k.o gsl_cblas__zherk.o \
   gsl_cblas__zhpmv.o gsl_cblas__zhpr.o gsl_cblas__zhpr2.o \
   gsl_cblas__zscal.o gsl_cblas__zswap.o gsl_cblas__zsymm.o \
   gsl_cblas__zsyr2k.o gsl_cblas__zsyrk.o gsl_cblas__ztbmv.o \
   gsl_cblas__ztbsv.o gsl_cblas__ztpmv.o gsl_cblas__ztpsv.o \
   gsl_cblas__ztrmm.o gsl_cblas__ztrmv.o gsl_cblas__ztrsm.o \
   gsl_cblas__ztrsv.o gsl_cdf__beta.o gsl_cdf__betainv.o \
   gsl_cdf__binomial.o gsl_cdf__cauchy.o gsl_cdf__cauchyinv.o \
   gsl_cdf__chisq.o gsl_cdf__chisqinv.o gsl_cdf__exponential.o \
   gsl_cdf__exponentialinv.o gsl_cdf__exppow.o gsl_cdf__fdist.o \
   gsl_cdf__fdistinv.o gsl_cdf__flat.o gsl_cdf__flatinv.o \
   gsl_cdf__gamma.o gsl_cdf__gammainv.o gsl_cdf__gauss.o \
   gsl_cdf__gaussinv.o gsl_cdf__geometric.o gsl_cdf__gumbel1.o \
   gsl_cdf__gumbel1inv.o gsl_cdf__gumbel2.o gsl_cdf__gumbel2inv.o \
   gsl_cdf__hypergeometric.o gsl_cdf__laplace.o gsl_cdf__laplaceinv.o \
   gsl_cdf__logistic.o gsl_cdf__logisticinv.o gsl_cdf__lognormal.o \
   gsl_cdf__lognormalinv.o gsl_cdf__nbinomial.o gsl_cdf__pareto.o \
   gsl_cdf__paretoinv.o gsl_cdf__pascal.o gsl_cdf__poisson.o \
   gsl_cdf__rayleigh.o gsl_cdf__rayleighinv.o gsl_cdf__tdist.o \
   gsl_cdf__tdistinv.o gsl_cdf__weibull.o gsl_cdf__weibullinv.o \
   gsl_combination__combination.o gsl_combination__file.o gsl_combination__init.o \
   gsl_complex__math.o gsl_deriv__deriv.o gsl_dht__dht.o \
   gsl_diff__diff.o gsl_eigen__francis.o gsl_eigen__gen.o \
   gsl_eigen__genherm.o gsl_eigen__genhermv.o gsl_eigen__gensymm.o \
   gsl_eigen__gensymmv.o gsl_eigen__genv.o gsl_eigen__herm.o \
   gsl_eigen__hermv.o gsl_eigen__jacobi.o gsl_eigen__nonsymm.o \
   gsl_eigen__nonsymmv.o gsl_eigen__schur.o gsl_eigen__sort.o \
   gsl_eigen__symm.o gsl_eigen__symmv.o gsl_err__error.o \
   gsl_err__message.o gsl_err__stream.o gsl_err__strerror.o \
   gsl_fft__dft.o gsl_fft__fft.o gsl_fft__signals.o \
   gsl_fit__linear.o gsl_histogram__add.o gsl_histogram__add2d.o \
   gsl_histogram__calloc_range.o gsl_histogram__calloc_range2d.o gsl_histogram__copy.o \
   gsl_histogram__copy2d.o gsl_histogram__file.o gsl_histogram__file2d.o \
   gsl_histogram__get.o gsl_histogram__get2d.o gsl_histogram__init.o \
   gsl_histogram__init2d.o gsl_histogram__maxval.o gsl_histogram__maxval2d.o \
   gsl_histogram__oper.o gsl_histogram__oper2d.o gsl_histogram__params.o \
   gsl_histogram__params2d.o gsl_histogram__pdf.o gsl_histogram__pdf2d.o \
   gsl_histogram__reset.o gsl_histogram__reset2d.o gsl_histogram__stat.o \
   gsl_histogram__stat2d.o gsl_ieee-utils__env.o gsl_ieee-utils__fp.o \
   gsl_ieee-utils__make_rep.o gsl_ieee-utils__print.o gsl_ieee-utils__read.o \
   gsl_integration__qag.o gsl_integration__qagp.o gsl_integration__qags.o \
   gsl_integration__qawc.o gsl_integration__qawf.o gsl_integration__qawo.o \
   gsl_integration__qaws.o gsl_integration__qcheb.o gsl_integration__qk.o \
   gsl_integration__qk15.o gsl_integration__qk21.o gsl_integration__qk31.o \
   gsl_integration__qk41.o gsl_integration__qk51.o gsl_integration__qk61.o \
   gsl_integration__qmomo.o gsl_integration__qmomof.o gsl_integration__qng.o \
   gsl_integration__workspace.o gsl_linalg__balance.o gsl_linalg__balancemat.o \
   gsl_linalg__bidiag.o gsl_linalg__cholesky.o gsl_linalg__choleskyc.o \
   gsl_linalg__exponential.o gsl_linalg__hermtd.o gsl_linalg__hessenberg.o \
   gsl_linalg__hesstri.o gsl_linalg__hh.o gsl_linalg__householder.o \
   gsl_linalg__householdercomplex.o gsl_linalg__lq.o gsl_linalg__lu.o \
   gsl_linalg__luc.o gsl_linalg__multiply.o gsl_linalg__ptlq.o \
   gsl_linalg__qr.o gsl_linalg__qrpt.o gsl_linalg__svd.o \
   gsl_linalg__symmtd.o gsl_linalg__tridiag.o gsl_matrix__copy.o \
   gsl_matrix__file.o gsl_matrix__getset.o gsl_matrix__init.o \
   gsl_matrix__matrix.o gsl_matrix__minmax.o gsl_matrix__oper.o \
   gsl_matrix__prop.o gsl_matrix__rowcol.o gsl_matrix__submatrix.o \
   gsl_matrix__swap.o gsl_matrix__view.o gsl_min__bracketing.o \
   gsl_min__brent.o gsl_min__convergence.o gsl_min__fsolver.o \
   gsl_min__golden.o gsl_monte__miser.o gsl_monte__plain.o \
   gsl_monte__vegas.o gsl_multifit__convergence.o gsl_multifit__covar.o \
   gsl_multifit__fdfsolver.o gsl_multifit__fsolver.o gsl_multifit__gradient.o \
   gsl_multifit__lmder.o gsl_multifit__multilinear.o gsl_multifit__work.o \
   gsl_multimin__conjugate_fr.o gsl_multimin__conjugate_pr.o gsl_multimin__convergence.o \
   gsl_multimin__diff.o gsl_multimin__fdfminimizer.o gsl_multimin__fminimizer.o \
   gsl_multimin__simplex.o gsl_multimin__steepest_descent.o gsl_multimin__vector_bfgs.o \
   gsl_multimin__vector_bfgs2.o gsl_multiroots__broyden.o gsl_multiroots__convergence.o \
   gsl_multiroots__dnewton.o gsl_multiroots__fdfsolver.o gsl_multiroots__fdjac.o \
   gsl_multiroots__fsolver.o gsl_multiroots__gnewton.o gsl_multiroots__hybrid.o \
   gsl_multiroots__hybridj.o gsl_multiroots__newton.o gsl_ntuple__ntuple.o \
   gsl_ode-initval__bsimp.o gsl_ode-initval__control.o gsl_ode-initval__cscal.o \
   gsl_ode-initval__cstd.o gsl_ode-initval__evolve.o gsl_ode-initval__gear1.o \
   gsl_ode-initval__gear2.o gsl_ode-initval__rk2.o gsl_ode-initval__rk2imp.o \
   gsl_ode-initval__rk2simp.o gsl_ode-initval__rk4.o gsl_ode-initval__rk4imp.o \
   gsl_ode-initval__rk8pd.o gsl_ode-initval__rkck.o gsl_ode-initval__rkf45.o \
   gsl_ode-initval__step.o gsl_permutation__canonical.o gsl_permutation__file.o \
   gsl_permutation__init.o gsl_permutation__permutation.o gsl_permutation__permute.o \
   gsl_poly__dd.o gsl_poly__eval.o gsl_poly__solve_cubic.o \
   gsl_poly__solve_quadratic.o gsl_poly__zsolve.o gsl_poly__zsolve_cubic.o \
   gsl_poly__zsolve_init.o gsl_poly__zsolve_quadratic.o gsl_qrng__niederreiter-2.o \
   gsl_qrng__qrng.o gsl_qrng__sobol.o gsl_randist__bernoulli.o \
   gsl_randist__beta.o gsl_randist__bigauss.o gsl_randist__binomial.o \
   gsl_randist__binomial_tpe.o gsl_randist__cauchy.o gsl_randist__chisq.o \
   gsl_randist__dirichlet.o gsl_randist__discrete.o gsl_randist__erlang.o \
   gsl_randist__exponential.o gsl_randist__exppow.o gsl_randist__fdist.o \
   gsl_randist__flat.o gsl_randist__gamma.o gsl_randist__gauss.o \
   gsl_randist__gausstail.o gsl_randist__gausszig.o gsl_randist__geometric.o \
   gsl_randist__gumbel.o gsl_randist__hyperg.o gsl_randist__landau.o \
   gsl_randist__laplace.o gsl_randist__levy.o gsl_randist__logarithmic.o \
   gsl_randist__logistic.o gsl_randist__lognormal.o gsl_randist__multinomial.o \
   gsl_randist__nbinomial.o gsl_randist__pareto.o gsl_randist__pascal.o \
   gsl_randist__poisson.o gsl_randist__rayleigh.o gsl_randist__shuffle.o \
   gsl_randist__sphere.o gsl_randist__tdist.o gsl_randist__weibull.o \
   gsl_rng__borosh13.o gsl_rng__cmrg.o gsl_rng__coveyou.o \
   gsl_rng__default.o gsl_rng__file.o gsl_rng__fishman18.o \
   gsl_rng__fishman20.o gsl_rng__fishman2x.o gsl_rng__gfsr4.o \
   gsl_rng__knuthran.o gsl_rng__knuthran2.o gsl_rng__knuthran2002.o \
   gsl_rng__lecuyer21.o gsl_rng__minstd.o gsl_rng__mrg.o \
   gsl_rng__mt.o gsl_rng__r250.o gsl_rng__ran0.o \
   gsl_rng__ran1.o gsl_rng__ran2.o gsl_rng__ran3.o \
   gsl_rng__rand.o gsl_rng__rand48.o gsl_rng__random.o \
   gsl_rng__randu.o gsl_rng__ranf.o gsl_rng__ranlux.o \
   gsl_rng__ranlxd.o gsl_rng__ranlxs.o gsl_rng__ranmar.o \
   gsl_rng__rng.o gsl_rng__slatec.o gsl_rng__taus.o \
   gsl_rng__taus113.o gsl_rng__transputer.o gsl_rng__tt.o \
   gsl_rng__types.o gsl_rng__uni.o gsl_rng__uni32.o \
   gsl_rng__vax.o gsl_rng__waterman14.o gsl_rng__zuf.o \
   gsl_roots__bisection.o gsl_roots__brent.o gsl_roots__convergence.o \
   gsl_roots__falsepos.o gsl_roots__fdfsolver.o gsl_roots__fsolver.o \
   gsl_roots__newton.o gsl_roots__secant.o gsl_roots__steffenson.o \
   gsl_siman__siman.o gsl_sort__sort.o gsl_sort__sortind.o \
   gsl_sort__sortvec.o gsl_sort__sortvecind.o gsl_sort__subset.o \
   gsl_sort__subsetind.o gsl_specfunc__airy.o gsl_specfunc__airy_der.o \
   gsl_specfunc__airy_zero.o gsl_specfunc__atanint.o gsl_specfunc__bessel.o \
   gsl_specfunc__bessel_I0.o gsl_specfunc__bessel_I1.o gsl_specfunc__bessel_In.o \
   gsl_specfunc__bessel_Inu.o gsl_specfunc__bessel_J0.o gsl_specfunc__bessel_J1.o \
   gsl_specfunc__bessel_Jn.o gsl_specfunc__bessel_Jnu.o gsl_specfunc__bessel_K0.o \
   gsl_specfunc__bessel_K1.o gsl_specfunc__bessel_Kn.o gsl_specfunc__bessel_Knu.o \
   gsl_specfunc__bessel_Y0.o gsl_specfunc__bessel_Y1.o gsl_specfunc__bessel_Yn.o \
   gsl_specfunc__bessel_Ynu.o gsl_specfunc__bessel_amp_phase.o gsl_specfunc__bessel_i.o \
   gsl_specfunc__bessel_j.o gsl_specfunc__bessel_k.o gsl_specfunc__bessel_olver.o \
   gsl_specfunc__bessel_sequence.o gsl_specfunc__bessel_temme.o gsl_specfunc__bessel_y.o \
   gsl_specfunc__bessel_zero.o gsl_specfunc__beta.o gsl_specfunc__beta_inc.o \
   gsl_specfunc__clausen.o gsl_specfunc__coulomb.o gsl_specfunc__coulomb_bound.o \
   gsl_specfunc__coupling.o gsl_specfunc__dawson.o gsl_specfunc__debye.o \
   gsl_specfunc__dilog.o gsl_specfunc__elementary.o gsl_specfunc__ellint.o \

=== debian/changelog ===
praat (6.4.27+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.27+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Feb 2025 05:06:13 -0300

praat (6.4.26+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.26+dfsg
  * d/copyright: Update list of Copyright years
  * d/rules: Instead of makefile.defs.linux.pulse, use *.pulse-gcc

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Jan 2025 06:35:42 -0300

=== debian/control ===
Source: praat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Rafael Laboissière <rafael@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libgtk-3-dev,
               libjack-jackd2-dev,
               libpulse-dev,
               pandoc,
               xauth,
               xvfb
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/praat
Vcs-Git: https://salsa.debian.org/med-team/praat.git
Homepage: https://www.praat.org
Rules-Requires-Root: no

Package: praat
Architecture: any
Depends: file,
         oss-compat,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libasound2-plugins
Description: program for speech analysis and synthesis
 According to its authors, praat is "doing phonetics by computer".  Through
 its graphical interface, several speech analysis functionalities are
 available: spectrograms, cochleograms, and pitch and formant
 extraction.  Articulatory synthesis, as well as synthesis from pitch,
 formant, and intensity are also available.  Other features are
 segmentation, labelling using the phonetic alphabet, and computation of
 statistics.  Praat is configurable and extensible through its own scripting
 language and has provisions for communicating with other programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for the Praat

DEBDIR = $(CURDIR)/debian
INSTDIR = $(DEBDIR)/praat

PIXDIR = usr/share/pixmaps
SVGDIR = usr/share/icons/hicolor/scalable/apps
BINDIR = usr/bin
APPDIR = usr/share/applications

SUBSTCMD = sed 's:@BINDIR@:$(BINDIR):g;s:@PIXDIR@:$(PIXDIR):g;	\
                s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g'

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config

ifneq (,$(filter $(DEB_HOST_ARCH), i386))
    export DEB_CXXFLAGS_MAINT_APPEND=-ffloat-store
endif

%:
	dh $@

clean:
	dh clean
	# Fix the lacking cleaning command for the main/ directory
	[ ! -f makefile.defs ] || make -C main clean

execute_before_dh_auto_clean:
	touch makefile.defs

override_dh_auto_configure:
	# Generate the debhelper files
	for i in dirs install ; do 				\
		$(SUBSTCMD) < $(DEBDIR)/$$i.in > $(DEBDIR)/praat.$$i ;	\
	done
	# Get rid of the
	# dpkg-shlibdeps: warning: dependency on lib??? could be avoided if "debian/praat/usr/bin/praat" were not uselessly linked against it (they use none of its symbols).
	# warnings and useless dependencies
	cp makefiles/makefile.defs.linux.pulse-gcc makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs

%.1: $(DEBDIR)/%.md
	# Generate the man page from the Markdown source
	pandoc --standalone --to man $< -o $@

override_dh_auto_build: praat.1 praat_nogui.1 praat-launch.1
	dh_auto_build
	cp makefiles/makefile.defs.linux.nogui makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs
	rm -f melder/*.o sys/*.o fon/SoundRecorder.o fon/praat_Sound.o	\
		foned/FunctionEditor.o external/portaudio/*.o
	dh_auto_build

override_dh_auto_install:
	# Build and install the upstream changelog
	sed -n '/^R"~~~(/,/^)~~~"/{/^R"~~~(/!{/^)~~~"/!p}}' fon/manual_whatsnew.cpp > debian/what-is-new
	dh_installchangelogs debian/what-is-new
	dh_auto_install -- INSTALL=

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PRAAT=$(CURDIR)/praat_nogui debian/tests/run-tests
endif

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,\
      compression=xz,\
      uversionmangle=s/^praat-/praat-/,\
      dversionmangle=s/[~+]dfsg[0-9]*//" \
https://github.com/praat/praat/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## praat 6.4.35+dfsg

=== debian/changelog ===
praat (6.4.35+dfsg-1) experimental; urgency=medium

  * New upstream version 6.4.35+dfsg
  * Create new package praat-doc
  * d/copyright: Strip prebuilt binaries from upstream tarball
  * d/s/lintian-overrides: Override lintian warnings source-is-missing
    and very-long-line-length-in-source-file
  * d/p/local-icon-url.patch: New patch
  * d/copyright: Add copyright notices and licensing conditions for files
    docs/*

 -- Rafael Laboissière <rafael@debian.org>  Thu, 26 Jun 2025 08:01:15 -0300

praat (6.4.34+dfsg-1) experimental; urgency=medium

  * New upstream version 6.4.34+dfsg
  * d/p/phn-label-interval.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 30 May 2025 11:53:07 -0300

praat (6.4.30+dfsg-1) experimental; urgency=medium

  * New upstream version 6.4.30+dfsg
  * d/copyright: Reflect upstream changes
  * d/p/dwtest-random-seed.patch: Refresh for new upstream version
  * d/p/phn-label-interval.patch: New patch
  * d/copyright: Replace FSF physical address by URL

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 May 2025 04:21:45 -0300

praat (6.4.27+dfsg-2) unstable; urgency=medium

  * Include Bash completion script for the praat command
    + d/praat.bash: New script
    + d/install.in: Declare installation rule
    + d/rules: Define destination directory
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 25 Mar 2025 09:21:55 -0300

## praat 6.4.38+dfsg

=== debian/changelog ===
praat (6.4.38+dfsg-1) experimental; urgency=medium

  * New upstream version 6.4.38+dfsg
  * d/copyright: Fix text of license LGPL-2.1
  * d/copyright: Drop SIL files from the upstream tarball
  * d/p/local-icon-url.patch: Refresh for new upstream version
  * d/rules: Exclude file docs/LICENSE.txt from praat-doc package

 -- Rafael Laboissière <rafael@debian.org>  Thu, 03 Jul 2025 02:49:47 -0300

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,11 @@
 SVGDIR = usr/share/icons/hicolor/scalable/apps
 BINDIR = usr/bin
 APPDIR = usr/share/applications
+CPLDIR = usr/share/bash-completion/completions
 
 SUBSTCMD = sed 's:@BINDIR@:$(BINDIR):g;s:@PIXDIR@:$(PIXDIR):g;	\
-                s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g'
+                s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g;	\
+                s:@CPLDIR@:$(CPLDIR):g;'
 
 include /usr/share/dpkg/architecture.mk
 -include /usr/share/dpkg/buildtools.mk
@@ -67,3 +69,6 @@
 override_dh_auto_test:
 	PRAAT=$(CURDIR)/praat_nogui debian/tests/run-tests
 endif
+
+execute_after_dh_installdeb:
+	rm debian/praat-doc/usr/share/doc/praat/docs/LICENSE.txt

## praat 6.4.39+dfsg

=== LPC/Makefile ===
# Makefile of the library "LPC"
# David Weenink and Paul Boersma, 7 July 2025

include ../makefile.defs

CPPFLAGS = -I . -I ../kar -I ../melder -I ../fon -I ../foned -I ../dwtools -I ../sys -I ../dwsys -I ../stat \
	-I ..external/num

OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
	Cepstrogram.o \
	Formant_extensions.o \
	FormantModeler.o FormantModelerList.o \
	FormantPath.o FormantPath_to_IntervalTier.o FormantPathArea.o FormantPathEditor.o \
	LineSpectralFrequencies.o \
	LPCFrameIntoSampledFrame.o LPCFrameIntoFormantFrame.o \
	LPC.o \
	LPC_and_Formant.o LPC_and_Cepstrumc.o \
	LPC_and_LFCC.o \
	LPC_and_LineSpectralFrequencies.o LPC_and_Polynomial.o \
	LPC_to_Spectrum.o  LPC_to_Spectrogram.o \
	LPC_and_Tube.o \
	PowerCepstrum.o PowerCepstrumWorkspace.o PowerCepstrogram.o \
	PowerCepstrogramFrameIntoMatrixFrame.o \
	Roots_and_Formant.o \
	SoundFrameIntoLPCFrame.o SoundFrameIntoPowerCepstrogramFrame.o SoundFrameIntoFormantFrame.o \
	Sound_and_LPC.o Sound_to_Formant_mt.o \
	Sound_and_Cepstrum.o Tube.o \
	VocalTractTier.o \
	praat_LPC_init.o manual_LPC.o

.PHONY: all clean

all: libLPC.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libLPC.a

libLPC.a: $(OBJECTS)
	touch libLPC.a
	rm libLPC.a
	$(AR) cq libLPC.a $(OBJECTS)
	$(RANLIB) libLPC.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../dwtools/*.h ../fon/*.h ../foned/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h

=== debian/changelog ===
praat (6.4.39+dfsg-1) experimental; urgency=medium

  * New upstream version 6.4.39+dfsg
  * d/rules: Honor nodoc debuild option
  * d/p/honor-cppflags.patch: Refresh for new upstream version
  * d/p/use-ldflags.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Thu, 17 Jul 2025 15:44:53 -0300

=== debian/rules ===
--- 
+++ 
@@ -71,4 +71,6 @@
 endif
 
 execute_after_dh_installdeb:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	rm debian/praat-doc/usr/share/doc/praat/docs/LICENSE.txt
+endif

## praat 6.4.42+dfsg

=== LPC/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "LPC"
-# David Weenink and Paul Boersma, 7 July 2025
+# David Weenink and Paul Boersma, 7 August 2025
 
 include ../makefile.defs
 
@@ -12,7 +12,7 @@
 	FormantModeler.o FormantModelerList.o \
 	FormantPath.o FormantPath_to_IntervalTier.o FormantPathArea.o FormantPathEditor.o \
 	LineSpectralFrequencies.o \
-	LPCFrameIntoSampledFrame.o LPCFrameIntoFormantFrame.o \
+	LPCFrameIntoSampledFrame.o LPCFrameIntoFormantFrame.o LPCFrameAndLineSpectralFrequenciesFrame.o \
 	LPC.o \
 	LPC_and_Formant.o LPC_and_Cepstrumc.o \
 	LPC_and_LFCC.o \

=== debian/changelog ===
praat (6.4.42+dfsg-2) unstable; urgency=medium

  * d/rules: Link against libatomic on armel

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Sep 2025 16:06:12 -0300

praat (6.4.42+dfsg-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * Upload to unstable
  * New upstream version 6.4.42+dfsg
  * d/copyright: Exclude file generate/Unicode/UAX*.html
  * d/p/local-icon-url.patch: Drop patch (applied upstream)
  * d/p/dwtest-random-seed.patch: Refresh for new upstream version

  [ Alexandre Detiste ]
  * d/README.source: Drop file (quilt is the default now)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 05 Sep 2025 11:25:26 -0300

praat (6.4.39+dfsg-2) experimental; urgency=medium

  * d/rules: Do not execute docs cleaning when building the arch:any package

 -- Rafael Laboissière <rafael@debian.org>  Fri, 18 Jul 2025 13:53:01 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                pandoc,
                xauth,
                xvfb
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
 Homepage: https://www.praat.org
@@ -34,3 +34,20 @@
  segmentation, labelling using the phonetic alphabet, and computation of
  statistics.  Praat is configurable and extensible through its own scripting
  language and has provisions for communicating with other programs.
+
+Package: praat-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: program for speech analysis and synthesis (documentation)
+ According to its authors, praat is "doing phonetics by computer".  Through
+ its graphical interface, several speech analysis functionalities are
+ available: spectrograms, cochleograms, and pitch and formant
+ extraction.  Articulatory synthesis, as well as synthesis from pitch,
+ formant, and intensity are also available.  Other features are
+ segmentation, labelling using the phonetic alphabet, and computation of
+ statistics.  Praat is configurable and extensible through its own scripting
+ language and has provisions for communicating with other programs.
+ .
+ This package provides the HTML form of documentation for Praat
+ (essentially a local copy of the website at praat.org).

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 
 ifneq (,$(filter $(DEB_HOST_ARCH), i386))
     export DEB_CXXFLAGS_MAINT_APPEND=-ffloat-store
+endif
+
+ifneq (,$(filter $(DEB_HOST_ARCH), armel))
+    export DEB_LDFLAGS_MAINT_APPEND=-latomic
 endif
 
 %:
@@ -70,7 +74,7 @@
 	PRAAT=$(CURDIR)/praat_nogui debian/tests/run-tests
 endif
 
-execute_after_dh_installdeb:
+execute_after_dh_installdeb-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	rm debian/praat-doc/usr/share/doc/praat/docs/LICENSE.txt
 endif

## praat 6.4.43+dfsg

=== debian/changelog ===
praat (6.4.43+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.43+dfsg
  * d/copyright: Exclude all ZIP files from repacked tarball
  * d/p/avoid-dangling-hyperlinks.patch: New patch
  * d/s/lintian-overrides: Drop override for very-long-line-length-in-source-file in espeak files
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Sep 2025 22:39:15 -0300

## praat 6.4.44+dfsg

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 # Makefile of the library "dwtools"
 # David Weenink and Paul Boersma
-# 5 September 2024
+# 7 July 2025
 
 include ../makefile.defs
 
 CPPFLAGS = -I . -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../fon -I ../LPC -I ../foned -I ../EEG \
-	-I ../external/clapack -I ../external/vorbis -I ../external/opusfile -I ../external/portaudio -I ../external/espeak
+	-I ../external/clapack -I ../external/vorbis -I ../external/opusfile -I ../external/portaudio -I ../external/espeak \
+	-I ..external/num
 
 OBJECTS = ActivationList.o AffineTransform.o AnalyticSound.o \
 	Categories.o CategoriesEditor.o \
@@ -20,10 +21,10 @@
 	Discriminant.o  Discriminant_PatternList_Categories.o \
 	EditDistanceTable.o EEG_extensions.o \
 	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
-	Eigen_and_TableOfReal.o\
+	Eigen_and_TableOfReal.o \
 	Eigen_and_SSCP.o Excitations.o \
 	FilterBank.o FormantGrid_extensions.o \
-	GaussianMixture.o  \
+	GaussianMixture.o \
 	HMM.o \
 	ICA.o Intensity_extensions.o \
 	LFCC.o LongSound_extensions.o \
@@ -42,7 +43,8 @@
 	Polygon_extensions.o Procrustes.o \
 	Proximity.o Proximity_and_Distance.o \
 	Resonator.o Roots_to_Spectrum.o \
-	SampledToSampledWorkspace.o SoundToSampledWorkspace.o \
+	SampledIntoSampled.o SampledFrameIntoSampledFrame.o SampledIntoSampledStatus.o \
+	SoundFrameIntoSampledFrame.o SoundFrameIntoMatrixFrame.o SampledFrameIntoMatrixFrame.o \
 	Sound_and_MultiSampledSpectrogram.o Sound_and_MixingMatrix.o \
 	Sound_and_Spectrum_dft.o \
 	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o \

=== debian/changelog ===
praat (6.4.44+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.44+dfsg
  * d/copyright: Update list of excluded files
  * d/control:
    + Mark praat-doc as Multi-Arch: foreign
    + Restrict build-dependencies to profile <!nocheck>

 -- Rafael Laboissière <rafael@debian.org>  Mon, 29 Sep 2025 02:00:16 -0300

=== debian/watch ===
Version: 5

Template: Github
Owner: praat
Project: praat
Repacksuffix: +dfsg
Dversionmangle: s/[~+]dfsg[0-9]*//

## praat 6.4.44.a+dfsg

=== foned/Makefile ===
# Makefile of the library "foned"
# Paul Boersma, 3 August 2022

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3 -I ../external/espeak

OBJECTS = SoundRecorder.o \
   FunctionArea.o SoundArea.o SoundAnalysisArea.o TextGridArea.o \
   SpectrumArea.o PointArea.o PitchArea.o SpectrogramArea.o \
   RealTierArea.o PitchTierArea.o IntensityTierArea.o DurationTierArea.o AmplitudeTierArea.o \
   FormantGridArea.o MovieArea.o \
   FunctionEditor.o \
   PitchEditor.o SoundEditor.o SpectrumEditor.o SpectrogramEditor.o PointEditor.o \
   RealTierEditor.o PitchTierEditor.o IntensityTierEditor.o \
   DurationTierEditor.o AmplitudeTierEditor.o \
   ManipulationEditor.o TextGridEditor.o FormantGridEditor.o \
   RunnerMFC.o MovieWindow.o

.PHONY: all clean

all: libfoned.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libfoned.a

libfoned.a: $(OBJECTS)
	touch libfoned.a
	rm libfoned.a
	$(AR) cq libfoned.a $(OBJECTS)
	$(RANLIB) libfoned.a

$(OBJECTS): *.h ../external/portaudio/*.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../LPC/*.h ../fon/*.h ../external/flac/*.h ../external/mp3/mp3.h

=== debian/changelog ===
praat (6.4.44.a+dfsg-1) unstable; urgency=medium

  * New upstream version 6.4.44.a+dfsg
  * d/rules: Set DEB_BUILD_MAINT_OPTIONS to hardening=+all

 -- Rafael Laboissière <rafael@debian.org>  Wed, 01 Oct 2025 07:33:01 -0300

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libjack-jackd2-dev,
                libpulse-dev,
                pandoc,
-               xauth,
-               xvfb
+               xauth <!nocheck>,
+               xvfb <!nocheck>
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
@@ -37,6 +37,7 @@
 
 Package: praat-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: program for speech analysis and synthesis (documentation)

## praat 6.4.46%2Bdfsg

=== FFNet/Makefile ===
# Makefile of the library "FFNet"
# David Weenink and Paul Boersma 2018-08-10

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwtools -I ../fon -I ../dwsys -I ../stat -I ../gram

OBJECTS = FFNet.o \
	FFNet_Eigen.o FFNet_Matrix.o FFNet_PatternList.o \
	FFNet_ActivationList_Categories.o FFNet_PatternList_ActivationList.o \
	FFNet_PatternList_Categories.o \
	praat_FFNet_init.o manual_FFNet.o

.PHONY: all clean

all: libFFNet.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libFFNet.a

libFFNet.a: $(OBJECTS)
	touch libFFNet.a
	rm libFFNet.a
	$(AR) cq libFFNet.a $(OBJECTS)
	$(RANLIB) libFFNet.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwtools/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h ../gram/*.h

=== dwsys/Makefile ===
# makefile for library "dwsys".
# David Weenink 20250707
# Paul Boersma 20180810,20240830,20250708

include ../makefile.defs

CPPFLAGS = -I ../melder -I ../stat -I ../sys -I ../fon -I ../external/gsl -I ../external/num -I ../external/clapack -I ../kar -I ../dwtools

all: libdwsys.a

OBJECTS = ChebyshevSeries.o Collection_extensions.o Command.o \
	DoublyLinkedList.o Eigen.o ExtendedReal.o \
	FileInMemory.o \
	FunctionSeries.o \
	Graphics_extensions.o Index.o \
	LegendreSeries.o \
	MAT_numerics.o \
	NMF.o NUM2.o NUMhuber.o NUMmachar.o  \
	NUMcomplex.o NUMFourier.o NUMsorting.o \
	NUMmathlib.o NUMstring.o NUMselect.o \
	Permutation.o PermutationInversionCounter.o Permutation_and_Index.o \
	Polynomial.o \
	Roots.o \
	SlopeSelector.o Spline.o SVD.o WorkvectorPool.o

.PHONY: all clean

all: libdwsys.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwsys.a

libdwsys.a: $(OBJECTS) NUMmachar.o
	touch libdwsys.a
	rm libdwsys.a
	$(AR) cq libdwsys.a $(OBJECTS)
	$(RANLIB) libdwsys.a

$(OBJECTS): *.h ../melder/*.h ../stat/*.h ../sys/*.h ../fon/*.h ../external/gsl/*.h ../external/num/*.h ../dwsys/*.h ../kar/*.h
